import request from '@/utils/request'

// 查询包活派工单列表
export function listWorkOrderBaohuo(query) {
  return request({
    url: '/pay/workOrderBaohuo/list',
    method: 'get',
    params: query
  })
}
// 查询员工总工时接口
export function listWorkOrderBaohuoSum(query) {
  return request({
    url: '/pay/workOrderBaohuo/sum',
    method: 'get',
    params: query
  })
}

// 查询包活派工单详细
export function getWorkOrderBaohuo(id) {
  return request({
    url: '/pay/workOrderBaohuo/' + id,
    method: 'get'
  })
}

// 新增包活派工单
export function addWorkOrderBaohuo(data) {
  return request({
    url: '/pay/workOrderBaohuo',
    method: 'post',
    data: data
  })
}

// 修改包活派工单
export function updateWorkOrderBaohuo(data) {
  return request({
    url: '/pay/workOrderBaohuo',
    method: 'put',
    data: data
  })
}

// 删除包活派工单
export function delWorkOrderBaohuo(id) {
  return request({
    url: '/pay/workOrderBaohuo/' + id,
    method: 'delete'
  })
}
